package cs3500.simon.view;

import cs3500.simon.model.ColorGuess;

/**
 * The features the view needs implemented by some class in the
 * controller package.
 */
public interface ViewFeatures {
  /**
   * Checks if the guess indicated is correct. Refreshes the
   * view after checking the guess.
   * @param guess the guess to check against the model
   */
  void selectedColor(ColorGuess guess);

  /**
   * Quits the program.
   */
  void quit();
}
